<?php

namespace Drp\NativeEventApp\Modules\Types;

use Drp\NativeEventApp\Modules\Module;

class Text extends Module
{
    /** @var ?string */
    public $text;

    public function __construct(string $text)
    {
        $this->text = $text;
    }

    public static function getDescription(): string
    {
        return 'A block of text, can\'t contain HTML markup';
    }

    public function text(string $text): self
    {
        $this->text = $text;

        return $this;
    }
}
