<?php
/** @var \Illuminate\Database\Eloquent\Factory $factory */

use Drp\NativeEventApp\Models\Agenda;
use Drp\NativeEventApp\Models\AgendaItem;
use Faker\Generator;
use Illuminate\Support\Carbon;

$factory->define(AgendaItem::class, static function (Generator $faker) {
    return [
        'title' => $faker->sentence,
        'description' => $faker->paragraph,
        'startTime' => Carbon::now(),
        'endTime' => Carbon::now(),
        'agendaId' => factory(Agenda::class),
    ];
});
